Campaigns
List campaigns
GET
/
campaigns
List campaigns
curl --request GET \
--url https://api.connectadesk.com/api/v1/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.connectadesk.com/api/v1/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.connectadesk.com/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.connectadesk.com/api/v1/campaigns")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 77,
"name": "Promoção de inverno",
"status": "processing",
"scheduledAt": "2026-08-19T12:00:00.000Z",
"completedAt": null,
"contactListId": 12,
"channelId": 11,
"createdAt": "2026-08-17T18:20:00.000Z",
"updatedAt": "2026-08-19T12:00:03.221Z"
}
],
"meta": {
"page": 1,
"perPage": 20,
"hasMore": true
}
}Authorizations
API token in the sk_live_… format.
Query Parameters
Page number, starting at 1. An invalid value is treated as 1.
Required range:
x >= 1Number of items per page. The maximum depends on the environment (default 100).
Required range:
1 <= x <= 100Searches by name.
Filters by campaign status. Use all to return every campaign.
Available options:
all, import:waiting, import:start, import:fail_retry, import:failed, waiting, schedule, processing, failed, completed, canceled, pause:manual, pause:automatic, pause:no_balance, pause:active_contacts_limit ⌘I
List campaigns
curl --request GET \
--url https://api.connectadesk.com/api/v1/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.connectadesk.com/api/v1/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.connectadesk.com/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.connectadesk.com/api/v1/campaigns")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 77,
"name": "Promoção de inverno",
"status": "processing",
"scheduledAt": "2026-08-19T12:00:00.000Z",
"completedAt": null,
"contactListId": 12,
"channelId": 11,
"createdAt": "2026-08-17T18:20:00.000Z",
"updatedAt": "2026-08-19T12:00:03.221Z"
}
],
"meta": {
"page": 1,
"perPage": 20,
"hasMore": true
}
}
